=== debian/control ===
Source: ros-eloquent-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-camera-info-manager, ros-eloquent-cv-bridge, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-gazebo-ros, ros-eloquent-geometry-msgs, ros-eloquent-image-transport, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-trajectory-msgs, ros-eloquent-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-eloquent-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-camera-info-manager, ros-eloquent-cv-bridge, ros-eloquent-gazebo-dev, ros-eloquent-gazebo-msgs, ros-eloquent-gazebo-ros, ros-eloquent-geometry-msgs, ros-eloquent-image-transport, ros-eloquent-nav-msgs, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-std-msgs, ros-eloquent-std-srvs, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-trajectory-msgs, ros-eloquent-ros-workspace
Description: Robot-independent Gazebo plugins for sensors, motors and dynamic reconfigurable components.
